## php.java.script
Class PhpScriptContextFactory

    java.lang.Object
      php.java.bridge.SessionFactory
          php.java.bridge.http.ContextFactory
              php.java.script.PhpScriptContextFactory

    public class PhpScriptContextFactory

extends ContextFactory

A custom context factory, creates a ContextFactory for JSR223 contexts.

Author:
  jostb

Constructor Summary
`PhpScriptContextFactory()`

Method Summary
`static ContextFactory` `addNew(ScriptContext context)` Add the PhpScriptContext

Methods inherited from class php.java.bridge.http.ContextFactory
`addNew, get, getBridge, getContext, getId, remove, removeAll, setBridge, toString, waitFor`

Methods inherited from class php.java.bridge.SessionFactory
`getSession`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PhpScriptContextFactory

    public PhpScriptContextFactory()

Method Detail

### addNew

    public static ContextFactory addNew(ScriptContext context)

  Add the PhpScriptContext

  Parameters:
    `context` -
  Returns:
    The ContextFactory.